Delete allocator metadata item
- DELETE /platform/infrastructure/allocators/{allocator_id}/metadata/{key}
Removes a single item from the allocator metadata.
Path Parameters
-
allocator_idstringrequired -
The allocator identifier.
-
keystringrequired -
The metadata item key.
Query Parameters
-
versionstring Checks for conflicts against the metadata version, then returns the value in the
x-cloud-resource-versionheader.
Responses
The allocator metadata was successfully changed (the updated JSON is returned)
The allocator specified by {allocator_id} cannot be found. (code: allocators.allocator_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response